Get workflow trigger by ID

Fetches a single workflow trigger by resource ID. Requires the WORKFLOW_TRIGGER.VIEW permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version
resourceIdstringRequiredDefaults to
The ID of the resource to be requested.

Headers

x-platform-idstringOptional
Platform ID.

Response

OK
object_typestring or nullOptionalRead-only
idstring or nullOptionalRead-only
customer_idstring or nullOptional
Customer scope associated with the trigger execution.
workflow_idstringOptional
Workflow executed by this trigger.
typeenumOptional
Source of the trigger execution, such as a manual request or a system event.
invoiceobjectOptional
Invoice trigger details for executions that run on an invoice.
paymentobjectOptional
Payment trigger details for executions that run on a payment.
pricing_plan_subscriptionobjectOptional
Pricing plan subscription trigger details for executions that run on a subscription.
walletobjectOptional
Wallet trigger details for executions that run on a wallet balance event.
usageobjectOptional
Usage trigger details for executions that run on a usage event.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error